From: Markos Chandras <mchandras@suse.de>
Date: Tue, 25 Jul 2017 16:18:23 +0000 (+0100)
Subject: prototypes: xci: xci-deploy.sh: Only allow XCI on Ubuntu
X-Git-Tag: 6.0.0~345^2
X-Git-Url: https://gerrit.opnfv.org/gerrit/gitweb?a=commitdiff_plain;h=refs%2Fchanges%2F57%2F39257%2F2;p=releng-xci.git

prototypes: xci: xci-deploy.sh: Only allow XCI on Ubuntu

There is no support for openSUSE or CentOS right now yet the
script runs happily on these hosts until it breaks in horrible
ways. The only place we explicitly ask for Ubuntu hosts is the wiki
which can easily be missed by newcomers. As such, modify the script
to only run on Ubuntu hosts.

Change-Id: If9b355da51367fc95948a2b12a7f6c4d6b3bbbbf
Signed-off-by: Markos Chandras <mchandras@suse.de>
---

diff --git a/xci/xci-deploy.sh b/xci/xci-deploy.sh
index d7112565..9eda8ae8 100755
--- a/xci/xci-deploy.sh
+++ b/xci/xci-deploy.sh
@@ -63,6 +63,15 @@ echo "-------------------------------------------------------------------------"
 #-------------------------------------------------------------------------------
 source file/install-ansible.sh
 
+# There is no CentOS or openSUSE support at all
+if [[ $OS_FAMILY != Debian ]]; then
+    echo ""
+    echo "Error: Sorry, only Ubuntu hosts are supported for now!"
+    echo "Error: CentOS7 and openSUSE Leap support is still work in progress."
+    echo ""
+    exit 1
+fi
+
 # TODO: The xci playbooks can be put into a playbook which will be done later.
 
 #-------------------------------------------------------------------------------